GET
/project/{projectId}/scenario/{scenarioId}/metrics
curl \
--request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/metrics' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
{
"projectId": 42,
"modelId": 42,
"name": "string",
"id": 42,
"source": "SmartPM",
"scenarioType": "COMPLETE",
"delayAnalysisPerformed": "No",
"dataDate": "2026-05-04T09:42:00Z",
"qualityIndex": {
"mark": "string",
"indicator": "GOOD",
"score": 42.0
},
"baselineStartDate": "2026-05-04T09:42:00Z",
"plannedRecovery": 42,
"daysOfDelays": 42,
"endDateVariance": 42,
"underConstruction": true,
"baselineEndDate": "2026-05-04T09:42:00Z",
"currentScheduledCompletion": "2026-05-04T09:42:00Z",
"previousScheduledCompletion": "2026-05-04T09:42:00Z",
"sourceEndDate": "2026-05-04T09:42:00Z",
"upgradePlans": [
"string"
],
"percentCompleteType": "string",
"qualityProfileId": 42,
"unreadNotes": 42,
"plannedManpower": 42.0,
"earnedManpower": 42.0,
"remainingManpower": 42.0,
"actualManpower": 42.0,
"currentEstimatedManpower": 42.0,
"plannedBudget": 42.0,
"remainingBudget": 42.0,
"earnedCost": 42.0,
"manpowerPlannedPercentComplete": 42.0,
"manpowerActualPercentComplete": 42.0,
"manpowerPerformanceIndex": 42.0,
"costPlannedPercentComplete": 42.0,
"costActualPercentComplete": 42.0,
"costPerformanceIndex": 42.0,
"schedulePerformanceIndex": 42.0,
"resourceCount": 42.0,
"averageDurationVariance": 42,
"baselineCompletionPlanned": 42.0,
"baselineCompletionActual": 42.0,
"completionPlanned": 42.0,
"completionActual": 42.0,
"performanceTrack": true,
"costTrack": true,
"scheduleCompressionIndex": {
"name": "ACTIVITIES_TOTAL",
"message": "string",
"value": 42,
"divisor": 42,
"normalizedValue": 42.0,
"impact": 42.0,
"indicator": "GOOD"
},
"previousScheduleCompressionIndex": {
"name": "ACTIVITIES_TOTAL",
"message": "string",
"value": 42,
"divisor": 42,
"normalizedValue": 42.0,
"impact": 42.0,
"indicator": "GOOD"
},
"forecastedScheduleCompletion": "2026-05-04T09:42:00Z",
"previousForecastedCompletion": "2026-05-04T09:42:00Z",
"health": 42,
"currentStartDate": "2026-05-04T09:42:00Z",
"varianceStart": 42,
"varianceEnd": 42,
"baselineDuration": 42,
"currentDuration": 42,
"varianceDuration": 42,
"contractualFloat": 42,
"contractualEndDate": "2026-05-04T09:42:00Z",
"baselineContractualEndDate": "2026-05-04T09:42:00Z",
"varianceContractualEndDate": 42,
"earnedSchedule": 42,
"activitiesLaterThanTrackedTo": 42,
"endDateMatch": true,
"canImportSchedules": true,
"totalOnTimeHitRate": 42.0
}